Package: org.gradle.ide.visualstudio

## [Java] Interface XmlConfigFile

- org.gradle.ide.visualstudio.XmlConfigFile

- All Superinterfaces:
    ConfigFile

  An XML config file generated for Visual Studio.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `withXml(Action<? super XmlProvider> action)` Add an action that can manipulate the generated file content.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ConfigFile` | `getLocation, setLocation`

- - ### Method Detail

    - #### public void withXml(Action<? super XmlProvider> action)

      Add an action that can manipulate the generated file content.